jQuery(document).ready(function ($) {
    // When the notice is dismissed
    $(document).on('click', '.expert-makeup-stylist-notice .notice-dismiss', function () {
        $.post(ajaxurl, {
            action: 'expert_makeup_stylist_dismiss_notice'
        });
    });
});